Bug 851210 - [abrt] will-crash-0.2-1.fc17: main: Process /usr/bin/will_abort was killed by signal 6 (SIGABRT)
[abrt] will-crash-0.2-1.fc17: main: Process /usr/bin/will_abort was killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: will-crash (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
abrt_hash:348f14424bdf6726346c74fe532...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 09:51 EDT by ABRT
Modified: 2015-02-17 09:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:25:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (493 bytes, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: environ (3.85 KB, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: limits (1.29 KB, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: cgroup (129 bytes, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: maps (1.35 KB, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: dso_list (231 bytes, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: var_log_messages (308 bytes, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: open_fds (108 bytes, text/plain)
2012-08-23 09:51 EDT, ABRT
no flags Details
File: /etc/passwd (1.49 KB, text/plain)
2014-04-30 09:10 EDT, Martin Milata
no flags Details

  None (edit)
Description ABRT 2012-08-23 09:51:23 EDT
Description of problem:
$ will_abort

Version-Release number of selected component:
will-crash-0.2-1.fc17

Additional info:
libreport version: 2.0.13.10.g2146
abrt_version:   2.0.12.7.gb524
backtrace_rating: 4
cmdline:        will_abort
crash_function: main
kernel:         3.5.2-1.fc17.x86_64

backtrace:
:[New LWP 22084]
:Core was generated by `will_abort'.
:Program terminated with signal 6, Aborted.
:#0  0x0000003c18c35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 1 (LWP 22084):
:#0  0x0000003c18c35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = 22084
:        selftid = 22084
:#1  0x0000003c18c370d8 in __GI_abort () at abort.c:91
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, sa_mask = {__val = {258113757123, 1, 258117145184, 12, 140431554363392, 140734876703040, 258113756834, 12, 10, 4195872, 258113760581, 258117145184, 258113761039, 258117145184, 11, 4195872}}, sa_flags = 415684242, sa_restorer = 0}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000000000400463 in main () at will_abort.c:6
:No locals.
:From                To                  Syms Read   Shared Object Library
:0x0000003c18c1ef60  0x0000003c18d5f780  Yes         /lib64/libc.so.6
:0x0000003c18800b20  0x0000003c1881a319  Yes         /lib64/ld-linux-x86-64.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x0	0
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x5644	22084
:rdi            0x5644	22084
:rbp            0x0	0x0
:rsp            0x7fff64555728	0x7fff64555728
:r8             0xffffffff	4294967295
:r9             0x0	0
:r10            0x8	8
:r11            0x246	582
:r12            0x400464	4195428
:r13            0x7fff64555940	140734876703040
:r14            0x0	0
:r15            0x0	0
:rip            0x3c18c35925	0x3c18c35925 <__GI_raise+53>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x0000003c18c358f0 <+0>:	mov    %fs:0x2d4,%eax
:   0x0000003c18c358f8 <+8>:	mov    %fs:0x2d0,%esi
:   0x0000003c18c35900 <+16>:	test   %esi,%esi
:   0x0000003c18c35902 <+18>:	jne    0x3c18c35930 <__GI_raise+64>
:   0x0000003c18c35904 <+20>:	mov    $0xba,%eax
:   0x0000003c18c35909 <+25>:	syscall 
:   0x0000003c18c3590b <+27>:	mov    %eax,%esi
:   0x0000003c18c3590d <+29>:	mov    %eax,%fs:0x2d0
:   0x0000003c18c35915 <+37>:	movslq %edi,%rdx
:   0x0000003c18c35918 <+40>:	movslq %esi,%rsi
:   0x0000003c18c3591b <+43>:	movslq %eax,%rdi
:   0x0000003c18c3591e <+46>:	mov    $0xea,%eax
:   0x0000003c18c35923 <+51>:	syscall 
:=> 0x0000003c18c35925 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x0000003c18c3592b <+59>:	ja     0x3c18c3593f <__GI_raise+79>
:   0x0000003c18c3592d <+61>:	repz retq 
:   0x0000003c18c3592f <+63>:	nop
:   0x0000003c18c35930 <+64>:	test   %eax,%eax
:   0x0000003c18c35932 <+66>:	jg     0x3c18c35915 <__GI_raise+37>
:   0x0000003c18c35934 <+68>:	test   $0x7fffffff,%eax
:   0x0000003c18c35939 <+73>:	je     0x3c18c35950 <__GI_raise+96>
:   0x0000003c18c3593b <+75>:	neg    %eax
:   0x0000003c18c3593d <+77>:	jmp    0x3c18c35915 <__GI_raise+37>
:   0x0000003c18c3593f <+79>:	mov    0x37a4ea(%rip),%rdx        # 0x3c18fafe30
:   0x0000003c18c35946 <+86>:	neg    %eax
:   0x0000003c18c35948 <+88>:	mov    %eax,%fs:(%rdx)
:   0x0000003c18c3594b <+91>:	or     $0xffffffffffffffff,%rax
:   0x0000003c18c3594f <+95>:	retq   
:   0x0000003c18c35950 <+96>:	mov    %esi,%eax
:   0x0000003c18c35952 <+98>:	jmp    0x3c18c35915 <__GI_raise+37>
:End of assembler dump.
Comment 1 ABRT 2012-08-23 09:51:26 EDT
Created attachment 606579 [details]
File: core_backtrace
Comment 2 ABRT 2012-08-23 09:51:28 EDT
Created attachment 606580 [details]
File: environ
Comment 3 ABRT 2012-08-23 09:51:31 EDT
Created attachment 606581 [details]
File: limits
Comment 4 ABRT 2012-08-23 09:51:33 EDT
Created attachment 606582 [details]
File: cgroup
Comment 5 ABRT 2012-08-23 09:51:35 EDT
Created attachment 606583 [details]
File: maps
Comment 6 ABRT 2012-08-23 09:51:37 EDT
Created attachment 606584 [details]
File: dso_list
Comment 7 ABRT 2012-08-23 09:51:39 EDT
Created attachment 606585 [details]
File: var_log_messages
Comment 8 ABRT 2012-08-23 09:51:41 EDT
Created attachment 606586 [details]
File: open_fds
Comment 9 ABRT 2012-08-29 05:11:51 EDT
As usually ...

backtrace_rating: 4
Package: will-crash-0.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Richard Marko 2012-08-29 10:03:21 EDT
Run will_abort and it aborts()!

backtrace_rating: 4
Package: will-crash-0.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 David Kutálek 2012-08-29 13:51:12 EDT
This crash was intentionally generated with pre-update F17 abrt, but is being reported with testing update. Should work as expected even with this situation.

backtrace_rating: 4
Package: will-crash-0.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Michal Toman 2012-10-01 05:51:07 EDT
ABRT Testing

backtrace_rating: 4
Package: will-crash-0.2-1.fc17
OS Release: Fedora release 18 (Spherical Cow)
Comment 13 Jakub Filak 2012-10-16 11:44:59 EDT
Report against a new version of glibc in F17

backtrace_rating: 4
Package: will-crash-0.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Jakub Filak 2013-01-14 11:10:20 EST
Description of problem:
ABRT dup comment test ....

Version-Release number of selected component:
will-crash-0.2-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.6.10-2.fc17.x86_64
uid:            18601

Truncated backtrace:
[New LWP 19965]
Core was generated by `will_segfault'.
Program terminated with signal 11, Segmentation fault.
#0  main () at will_segfault.c:7
7	}

Thread 1 (LWP 19965):
#0  main () at will_segfault.c:7
        i = <error reading variable i (Cannot access memory at address 0x0)>
From                To                  Syms Read   Shared Object Library
0x0000003ea361ef60  0x0000003ea375f7a0  Yes         /lib64/libc.so.6
0x0000003ea3200b20  0x0000003ea321a2e9  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xf	15
rbx            0x0	0
rcx            0x3ea36e4950	269029886288
rdx            0x3ea39b2ae0	269032827616
rsi            0x7fc6b5add000	140491428319232
rdi            0xffffffff	4294967295
rbp            0x0	0x0
rsp            0x7fff6c9ba310	0x7fff6c9ba310
r8             0xffffffff	4294967295
r9             0x0	0
r10            0x22	34
r11            0x246	582
r12            0x40042c	4195372
r13            0x7fff6c9ba3f0	140735015527408
r14            0x0	0
r15            0x0	0
rip            0x40041e	0x40041e <main+14>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function main:
   0x0000000000400410 <+0>:	sub    $0x8,%rsp
   0x0000000000400414 <+4>:	mov    $0x4005e0,%edi
   0x0000000000400419 <+9>:	callq  0x4003f0 <puts@plt>
=> 0x000000000040041e <+14>:	mov    0x0,%eax
   0x0000000000400425 <+21>:	add    $0x8,%rsp
   0x0000000000400429 <+25>:	retq   
End of assembler dump.
Comment 15 Jakub Filak 2013-01-15 02:46:58 EST
ABRT dup comment test ....

backtrace_rating: 4
Package: will-crash-0.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Jakub Filak 2013-01-16 11:19:39 EST
Description of problem:
Dup another test ...

Version-Release number of selected component:
will-crash-0.2-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.6.10-2.fc17.x86_64
uid:            18601

Truncated backtrace:
[New LWP 27086]
Core was generated by `will_segfault'.
Program terminated with signal 11, Segmentation fault.
#0  main () at will_segfault.c:7
7	}

Thread 1 (LWP 27086):
#0  main () at will_segfault.c:7
        i = <error reading variable i (Cannot access memory at address 0x0)>
From                To                  Syms Read   Shared Object Library
0x0000003ea361ef60  0x0000003ea375f7a0  Yes         /lib64/libc.so.6
0x0000003ea3200b20  0x0000003ea321a2e9  Yes         /lib64/ld-linux-x86-64.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xf	15
rbx            0x0	0
rcx            0x3ea36e4950	269029886288
rdx            0x3ea39b2ae0	269032827616
rsi            0x7f680ef51000	140084904267776
rdi            0xffffffff	4294967295
rbp            0x0	0x0
rsp            0x7fff8d1023d0	0x7fff8d1023d0
r8             0xffffffff	4294967295
r9             0x0	0
r10            0x22	34
r11            0x246	582
r12            0x40042c	4195372
r13            0x7fff8d1024b0	140735560033456
r14            0x0	0
r15            0x0	0
rip            0x40041e	0x40041e <main+14>
eflags         0x10246	[ PF ZF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function main:
   0x0000000000400410 <+0>:	sub    $0x8,%rsp
   0x0000000000400414 <+4>:	mov    $0x4005e0,%edi
   0x0000000000400419 <+9>:	callq  0x4003f0 <puts@plt>
=> 0x000000000040041e <+14>:	mov    0x0,%eax
   0x0000000000400425 <+21>:	add    $0x8,%rsp
   0x0000000000400429 <+25>:	retq   
End of assembler dump.
Comment 17 Jakub Filak 2013-01-16 11:21:39 EST
Description of problem:
Dup another test ...

Version-Release number of selected component:
will-crash-0.2-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.6.10-2.fc17.x86_64
reason:         Process /usr/bin/will_segfault was killed by signal 11 (SIGSEGV)
uid:            18601
Comment 18 Jakub Filak 2013-01-16 12:08:09 EST
Dup another test ...

backtrace_rating: 4
blah:           
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.6.10-2.fc17.x86_64
package:        will-crash-0.2-1.fc17
reason:         Process /usr/bin/will_segfault was killed by signal 11 (SIGSEGV)
uid:            18601
Comment 19 Fedora End Of Life 2013-07-03 22:59:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2013-08-01 05:54:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Martin Milata 2013-11-15 08:46:32 EST
Another user experienced a similar problem:

dunno (really)

reporter:       libreport-2.1.9.10.g4cbb
backtrace_rating: 4
cmdline:        will_segfault
crash_function: main
executable:     /usr/bin/will_segfault
kernel:         3.11.6-200.fc19.x86_64
package:        will-crash-0.4-1.fc19
reason:         will_segfault killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 Martin Milata 2013-11-25 09:29:54 EST
Another user experienced a similar problem:

Test, please ignore.

reporter:       libreport-2.1.9.29.g0b35
backtrace_rating: 4
cmdline:        will_abort
crash_function: main
executable:     /usr/bin/will_abort
kernel:         3.11.7-200.fc19.x86_64
package:        will-crash-0.4-1.fc19
reason:         will_abort killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Martin Milata 2014-04-30 09:10:00 EDT
Created attachment 891177 [details]
File: /etc/passwd
Comment 24 Fedora End Of Life 2015-01-09 12:20:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2015-02-17 09:25:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.